Bug 1792406 - Review Request: php-laminas-router - Laminas Framework Router component
Summary: Review Request: php-laminas-router - Laminas Framework Router component
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792404
Blocks: 1792407
TreeView+ depends on / blocked
 
Reported: 2020-01-17 15:49 UTC by Remi Collet
Modified: 2020-01-27 10:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-27 10:03:50 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 15:49:13 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-router.git/plain/php-laminas-router.spec?id=de8a249f50f57724446f0ffac82088a91761ac85
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-router-3.3.1-1.remi.src.rpm
Description: 
laminas-router provides flexible HTTP routing.

Routing currently works against the laminas-http request and responses,
and provides capabilities around:

* Literal path matches
* Path segment matches (at path boundaries, and optionally validated
  using regex)
* Regular expression path matches
* HTTP request scheme
* HTTP request method
* Hostname

Additionally, it supports combinations of different route types in tree
structures, allowing for fast, b-tree lookups.

Documentation: https://docs.laminas.dev/laminas-router/



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-23 22:10:02 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-24 14:35:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-router

Comment 3 Remi Collet 2020-01-27 10:03:50 UTC
Thanks

BUilt


Note You need to log in before you can comment on or make changes to this bug.